﻿* Encoding: UTF-8.

*==============================================================================*
* TITULO DE LA SINTAXIS:                                                       *
* Indicadores de Tecnología de la Información y Comunicación - TIC             * 
* OPERACIÓN ESTADISTICA:                                                       *
* Encuesta Nacional de Empleo, Subempleo y Desempleo                           *
* UNIDAD TECNICA RESPONSABLE:                                                  *
* Gestión de Estadísticas Permanentes a Hogares                                *
* ENTIDAD EJECUTORA:                                                           *
* Instituto Nacional de Estadistica y Censos (INEC)                            *                                                      
*==============================================================================*
* Fecha de elaboración:        Julio 2022          		                       *
* Fecha ultima modificación:   Octubre 2022                                    *
*==============================================================================*
* Elaborado por:                                                               *
* Direccion de Estadisticas Sociodemográficas (DIES)                           *
*==============================================================================*
* Revisado y Aprobado por:                                                     *
* Direccion de Estadisticas Sociodemográficas (DIES)                           *
* Instituto Nacional de Estadistica y Censos (INEC)                            *
*==============================================================================*
*==============================================================================*
  * INSTRUCCIONES:
*==============================================================================*
* 1. Descargue las bases de la encuesta ENEMDU de la página web del INEC. 
* 2. No cambie el nombre original de los archivos.
* 3. En "cd", dentro de las comillas se debe colocar la dirección de la carpeta 
*    que contiene las bases.
* 4. Colocar en año= 2022 y mes = 07 correspondiente al mes de julio 2022 y actualizar de acuerdo al periodo.

********************************************************************************.
*1.- MATCH DE LAS BASES DE PERSONAS Y VIVIENDA_HOGAR.
********************************************************************************.
  cd '...'.
  get file='enemdu_persona_tics_año_mes.sav'.
  match files /file=*
/table='enemdu_vivienda_hogar_tics_año_mes.sav'
/by id_hogar.
  exe.
var width all (16).

********************************************************************************.
*2.- DECLARACIÓN DEL DISEÑO MUESTRAL.
********************************************************************************.
csplan analysis
  /plan file='..direccion de carpeta donde va a estar el plan..\dm_enemdu.csaplan'  /*dm_enemdu es el nombre del archivo para diseño muetral*/
  /PLANVARS ANALYSISWEIGHT=fexp /SRSESTIMATOR TYPE=WOR   /PRINT PLAN
  /DESIGN STRATA=estrato CLUSTER=upm /ESTIMATOR TYPE=WR.
/*Variable de ponderación fexp, Variable de clusters: upm, Variable de estratos: estrato*/

********************************************************************************.
*3.- CÁLCULO DE INDICADORES DE TIC's.
********************************************************************************.

*=====================================*
*3.1.- INDICADORES DE HOGAR
*=====================================*.

* 1.- Equipamiento tecnológico del hogar.
if (p04=1) x1=0.
if ((eqt19a012=1 | eqt19a011=1) & p04=1) x1=1.
if (p04=1) y1=1.
var lab x1 'x1: Equipamiento tecnológico del hogar'.
exe.

* 2.- Hogares con acceso a internet.
if (p04=1) x2=0.
if (vi20=1 & p04=1) x2=1.
if (p04=1) y2=1.
var lab x2 'x2: Hogares con acceso a internet'.
exe.

*=====================================*
*3.2.- INDICADORES DE PERSONAS
*=====================================*.

*3.- Personas que han usado internet.
if (p03>=5  & p03<=98) x3=0.
if (pt2a=1) x3=1.
if (p03>=5  & p03<=98) y3=1.
var lab x3 'x3: Personas que han usado internet (%)'.
exe.

*4.- Tiene teléfono celular activado.
if (p03>=5  & p03<=98)  x4=0 .
if (pt01a=1) x4=1 .
if (p03>=5  & p03<=98) y4=1 .
var lab x4 'x4: Personas que tienen teléfono celular activado (%)'.
exe.

*5.-Porcentaje de personas que tienen teléfono inteligente.
if (p03>=5  & p03<=98) x5=0 .
if pt1a=1 &  pt01a=1     x5=1 .
if (p03>=5  & p03<=98) y5=1 .
var lab x5 'x5: Personas que tienen teléfono inteligente (%)'.
exe.

*6.- Analfabetismo digital.
if (p03>=15 & p03<=49) analfa=0 .
if (p03>=15 & p03<=49) & (pt01a=2 & pt3c01=2 & pt3c02=2 & pt3c03=2 & pt2a=2) analfa=1.

if (p03>=15 & p03<=49) x6=0.
if (analfa=1)  x6=1. 
if (p03>=15 & p03<=49) y6=1. 
var lab x6 'x6: Personas con analfabetismo digital| (%)'.
exe.


*=====================================*
*4.- RESULTADOS- NACIONAL, URBANO/RURAL
*=====================================*.

csdescriptives
/plan file='..dirección de la carpeta donde se encuentra el diseño creado en el plan..\dm_enemdu.csaplan'
/ratio numerator= x1 denominator=y1 /subpop table = area  /statistics se cv count popsize cin(95).

csdescriptives
/plan file='..dirección de la carpeta donde se encuentra el diseño creado en el plan..\dm_enemdu.csaplan'
/ratio numerator= x2 denominator=y2 /subpop table = area  /statistics se cv count popsize cin(95).

csdescriptives
/plan file='..dirección de la carpeta donde se encuentra el diseño creado en el plan..\dm_enemdu.csaplan'
/ratio numerator= x3 denominator=y3 /subpop table = area  /statistics se cv count popsize cin(95).

csdescriptives
/plan file='..dirección de la carpeta donde se encuentra el diseño creado en el plan..\dm_enemdu.csaplan'
/ratio numerator= x4 denominator=y4 /subpop table = area  /statistics se cv count popsize cin(95).

csdescriptives
/plan file='..dirección de la carpeta donde se encuentra el diseño creado en el plan..\dm_enemdu.csaplan'
/ratio numerator= x5 denominator=y5 /subpop table = area  /statistics se cv count popsize cin(95).

csdescriptives
/plan file='..dirección de la carpeta donde se encuentra el diseño creado en el plan..\dm_enemdu.csaplan'
/ratio numerator= x6 denominator=y6 /subpop table = area  /statistics se cv count popsize cin(95).




